## org.eclipse.emf.databinding.internal
Class EWritableList<Type>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList
              org.eclipse.core.databinding.observable.list.AbstractObservableList
                  org.eclipse.emf.databinding.internal.EWritableList<Type>

Type Parameters:
  `Type` - the type

All Implemented Interfaces:
  java.lang.Iterable, java.util.Collection, java.util.List, IObservable, IObservableCollection, IObservableList

    public class EWritableList<Type>

extends AbstractObservableList
implements IObservableList

Writable list which can be used to observe an `NotifyingList`

PROVISIONAL: This API is subject to arbitrary change, including renaming or removal.

Since:
  2.5

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`EWritableList(NotifyingList<Type> wrappedList)` New writable list wrapping the `NotifyingList`
`EWritableList(Realm realm, NotifyingList<Type> wrappedList)` New writable list wrapping the `NotifyingList` and using the `Realm`
`EWritableList(Realm realm, NotifyingList<Type> wrappedList, java.lang.Class<Type> elementType)` New writable list wrapping the `NotifyingList`

Method Summary
`void` `add(int index, java.lang.Object element)`
`boolean` `add(java.lang.Object o)`
`boolean` `addAll(java.util.Collection c)`
`boolean` `addAll(int index, java.util.Collection c)`
`void` `clear()`
`boolean` `contains(java.lang.Object o)`
`boolean` `containsAll(java.util.Collection c)`
`void` `dispose()`
`int` `doGetSize()`
`protected void` `firstListenerAdded()`
`java.lang.Object` `get(int index)`
`java.lang.Object` `getElementType()`
`int` `indexOf(java.lang.Object o)`
`boolean` `isEmpty()`
`boolean` `isStale()`
`java.util.Iterator<Type>` `iterator()`
`int` `lastIndexOf(java.lang.Object o)`
`protected void` `lastListenerRemoved()`
`java.util.ListIterator<Type>` `listIterator()`
`java.util.ListIterator<Type>` `listIterator(int index)`
`java.lang.Object` `move(int oldIndex, int newIndex)`
`java.lang.Object` `remove(int index)`
`boolean` `remove(java.lang.Object o)`
`boolean` `removeAll(java.util.Collection c)`
`boolean` `retainAll(java.util.Collection c)`
`java.lang.Object` `set(int index, java.lang.Object element)`
`java.util.List<Type>` `subList(int fromIndex, int toIndex)`
`java.lang.Object[]` `toArray()`
`java.lang.Object[]` `toArray(java.lang.Object[] a)`

Methods inherited from class org.eclipse.core.databinding.observable.list.AbstractObservableList
`addChangeListener, addDisposeListener, addListChangeListener, addStaleListener, checkRealm, equals, fireChange, fireListChange, fireStale, getRealm, hashCode, hasListeners, isDisposed, removeChangeListener, removeDisposeListener, removeListChangeListener, removeStaleListener, size`

Methods inherited from class java.util.AbstractList
`removeRange`

Methods inherited from class java.util.AbstractCollection
`toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.core.databinding.observable.list.IObservableList
`addListChangeListener, equals, hashCode, removeListChangeListener, size`

Methods inherited from interface org.eclipse.core.databinding.observable.IObservable
`addChangeListener, addDisposeListener, addStaleListener, getRealm, isDisposed, removeChangeListener, removeDisposeListener, removeStaleListener`

Constructor Detail

### EWritableList

    public EWritableList(NotifyingList<Type> wrappedList)

  New writable list wrapping the `NotifyingList`

  Parameters:
    `wrappedList` - the wrapped list

### EWritableList

    public EWritableList(Realm realm,
                         NotifyingList<Type> wrappedList)

  New writable list wrapping the `NotifyingList` and using the `Realm`

  Parameters:
    `realm` - the realm
    `wrappedList` - the wrapped list

### EWritableList

    public EWritableList(Realm realm,
                         NotifyingList<Type> wrappedList,
                         java.lang.Class<Type> elementType)

  New writable list wrapping the `NotifyingList`

  Parameters:
    `realm` - the realm
    `wrappedList` - the wrapped list
    `elementType` - the element type

Method Detail

### firstListenerAdded

    protected void firstListenerAdded()

  Overrides:
    `firstListenerAdded` in class `AbstractObservableList`

### lastListenerRemoved

    protected void lastListenerRemoved()

  Overrides:
    `lastListenerRemoved` in class `AbstractObservableList`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `IObservable`
  Overrides:
    `dispose` in class `AbstractObservableList`

### add

    public boolean add(java.lang.Object o)

  Specified by:
    `add` in interface `java.util.Collection`
  Specified by:
    `add` in interface `java.util.List`
  Specified by:
    `add` in interface `IObservableList`
  Overrides:
    `add` in class `AbstractObservableList`

### addAll

    public boolean addAll(java.util.Collection c)

  Specified by:
    `addAll` in interface `java.util.Collection`
  Specified by:
    `addAll` in interface `java.util.List`
  Specified by:
    `addAll` in interface `IObservableList`
  Overrides:
    `addAll` in class `AbstractObservableList`

### addAll

    public boolean addAll(int index,
                          java.util.Collection c)

  Specified by:
    `addAll` in interface `java.util.List`
  Specified by:
    `addAll` in interface `IObservableList`
  Overrides:
    `addAll` in class `AbstractObservableList`

### contains

    public boolean contains(java.lang.Object o)

  Specified by:
    `contains` in interface `java.util.Collection`
  Specified by:
    `contains` in interface `java.util.List`
  Specified by:
    `contains` in interface `IObservableList`
  Overrides:
    `contains` in class `AbstractObservableList`

### containsAll

    public boolean containsAll(java.util.Collection c)

  Specified by:
    `containsAll` in interface `java.util.Collection`
  Specified by:
    `containsAll` in interface `java.util.List`
  Specified by:
    `containsAll` in interface `IObservableList`
  Overrides:
    `containsAll` in class `AbstractObservableList`

### get

    public java.lang.Object get(int index)

  Specified by:
    `get` in interface `java.util.List`
  Specified by:
    `get` in interface `IObservableList`
  Specified by:
    `get` in class `java.util.AbstractList`

### getElementType

    public java.lang.Object getElementType()

  Specified by:
    `getElementType` in interface `IObservableCollection`
  Specified by:
    `getElementType` in interface `IObservableList`

### indexOf

    public int indexOf(java.lang.Object o)

  Specified by:
    `indexOf` in interface `java.util.List`
  Specified by:
    `indexOf` in interface `IObservableList`
  Overrides:
    `indexOf` in class `AbstractObservableList`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Collection`
  Specified by:
    `isEmpty` in interface `java.util.List`
  Specified by:
    `isEmpty` in interface `IObservableList`
  Overrides:
    `isEmpty` in class `AbstractObservableList`

### iterator

    public java.util.Iterator<Type> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable`
  Specified by:
    `iterator` in interface `java.util.Collection`
  Specified by:
    `iterator` in interface `java.util.List`
  Specified by:
    `iterator` in interface `IObservableList`
  Overrides:
    `iterator` in class `AbstractObservableList`

### lastIndexOf

    public int lastIndexOf(java.lang.Object o)

  Specified by:
    `lastIndexOf` in interface `java.util.List`
  Specified by:
    `lastIndexOf` in interface `IObservableList`
  Overrides:
    `lastIndexOf` in class `AbstractObservableList`

### listIterator

    public java.util.ListIterator<Type> listIterator()

  Specified by:
    `listIterator` in interface `java.util.List`
  Specified by:
    `listIterator` in interface `IObservableList`
  Overrides:
    `listIterator` in class `java.util.AbstractList`

### listIterator

    public java.util.ListIterator<Type> listIterator(int index)

  Specified by:
    `listIterator` in interface `java.util.List`
  Specified by:
    `listIterator` in interface `IObservableList`
  Overrides:
    `listIterator` in class `java.util.AbstractList`

### move

    public java.lang.Object move(int oldIndex,
                                 int newIndex)

  Specified by:
    `move` in interface `IObservableList`
  Overrides:
    `move` in class `AbstractObservableList`

### remove

    public boolean remove(java.lang.Object o)

  Specified by:
    `remove` in interface `java.util.Collection`
  Specified by:
    `remove` in interface `java.util.List`
  Specified by:
    `remove` in interface `IObservableList`
  Overrides:
    `remove` in class `AbstractObservableList`

### remove

    public java.lang.Object remove(int index)

  Specified by:
    `remove` in interface `java.util.List`
  Specified by:
    `remove` in interface `IObservableList`
  Overrides:
    `remove` in class `java.util.AbstractList`

### removeAll

    public boolean removeAll(java.util.Collection c)

  Specified by:
    `removeAll` in interface `java.util.Collection`
  Specified by:
    `removeAll` in interface `java.util.List`
  Specified by:
    `removeAll` in interface `IObservableList`
  Overrides:
    `removeAll` in class `AbstractObservableList`

### retainAll

    public boolean retainAll(java.util.Collection c)

  Specified by:
    `retainAll` in interface `java.util.Collection`
  Specified by:
    `retainAll` in interface `java.util.List`
  Specified by:
    `retainAll` in interface `IObservableList`
  Overrides:
    `retainAll` in class `AbstractObservableList`

### set

    public java.lang.Object set(int index,
                                java.lang.Object element)

  Specified by:
    `set` in interface `java.util.List`
  Specified by:
    `set` in interface `IObservableList`
  Overrides:
    `set` in class `java.util.AbstractList`

### doGetSize

    public int doGetSize()

  Specified by:
    `doGetSize` in class `AbstractObservableList`

### subList

    public java.util.List<Type> subList(int fromIndex,
                                        int toIndex)

  Specified by:
    `subList` in interface `java.util.List`
  Specified by:
    `subList` in interface `IObservableList`
  Overrides:
    `subList` in class `java.util.AbstractList`

### toArray

    public java.lang.Object[] toArray()

  Specified by:
    `toArray` in interface `java.util.Collection`
  Specified by:
    `toArray` in interface `java.util.List`
  Specified by:
    `toArray` in interface `IObservableList`
  Overrides:
    `toArray` in class `AbstractObservableList`

### toArray

    public java.lang.Object[] toArray(java.lang.Object[] a)

  Specified by:
    `toArray` in interface `java.util.Collection`
  Specified by:
    `toArray` in interface `java.util.List`
  Specified by:
    `toArray` in interface `IObservableList`
  Overrides:
    `toArray` in class `AbstractObservableList`

### add

    public void add(int index,
                    java.lang.Object element)

  Specified by:
    `add` in interface `java.util.List`
  Overrides:
    `add` in class `java.util.AbstractList`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Collection`
  Specified by:
    `clear` in interface `java.util.List`
  Overrides:
    `clear` in class `java.util.AbstractList`

### isStale

    public boolean isStale()

  Specified by:
    `isStale` in interface `IObservable`
  Overrides:
    `isStale` in class `AbstractObservableList`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.